Subject: Stan package broken

From: Kyle Andrews <[email-masked]>
Date: Thu, 01 Jul 2021 07:06:39 -0400

Hello,

I tried to run a "Hello World" stan model using the r-rstan package.

#+BEGIN_SRC R
stancode="data {
  int<lower=0> N;
  vector[N] x;
  vector[N] y;
}
parameters {
  real alpha;
  real beta;
  real<lower=0> sigma;
}
model {
  y ~ normal(alpha + beta * x, sigma);
}
"
stan_lm = stan(model_code = stancode)
#+END_SRC

Running that code I get the error:

#+BEGIN_EXAMPLE
Error in dyn.load(libLFile) : 
  unable to load shared object '/tmp/Rtmp1AXXXr/file1ffd36a95fa3.so':
  /gnu/store/741057r2x06zwg6zcmqmdyv51spm6n9i-gfortran-7.5.0-lib/lib/libstdc++.so.6: version `GLIBCXX_3.4.29' not found (required by /tmp/Rtmp1AXXXr/file1ffd36a95fa3.so)
Error in sink(type = "output") : invalid connection
#+END_EXAMPLE

I setup my environment with:

: guix environment --ad-hoc r-rstan r-rstanarm r